<!-- CommentButton.vue -->

<template>
    <div>
      <button @click="toggleComment">Comment</button>
      <div v-if="showCommentInput">
        <textarea v-model="newComment" placeholder="Add a comment"></textarea>
        <button @click="addComment">Post Comment</button>
      </div>
    </div>
  </template>
  
  <script>
  export default {
    data() {
      return {
        showCommentInput: false,
        newComment: '',
      };
    },
    methods: {
      toggleComment() {
        this.showCommentInput = !this.showCommentInput;
      },
      addComment() {
        // Handle the logic to add a comment here
        // You can emit an event to the parent component or use GraphQL mutation
        // Reset newComment and hide the input after adding the comment
        this.newComment = '';
        this.showCommentInput = false;
      },
    },
  };
  </script>
  
  <style scoped>
  /* Add styles for the comment button and input here */
  </style>